Recuperar detalhes de customer
curl --request GET \
--url https://api.malga.io/v1/customers/{id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/customers/{id}"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "82aba896-9e37-45b6-aa90-d510c9050596",
"clientId": "cc0b1e41-2936-45c5-947f-93995ffcdc00",
"createdAt": "2012-06-30 23:59:59 +0000",
"name": "Customer test",
"email": "jose2@gmail.com",
"document": {
"number": "97055503019",
"type": "cpf",
"country": "BR"
},
"phoneNumber": "21 98889999099",
"address": {
"country": "BR",
"state": "Rio de Janeiro",
"city": "Rio de Janeiro",
"district": "Leblon",
"zipCode": "25650011",
"street": "Av Geraldo Cardoso",
"streetNumber": "205",
"complement": "Apto 203"
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Customers
Recuperar detalhes de customer
GET
/
v1
/
customers
/
{id}
Recuperar detalhes de customer
Path Parameters
Id do customers que deseja recuperar
Was this page helpful?
⌘I